public static interface ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterBuilders
| Modifier and Type | Method and Description |
|---|---|
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
zookeeperMaster(String path)
ZooKeeper Master (camel-zookeeper-master)
Represents an endpoint which only becomes active when it obtains the
master lock
Category: clustering
Since: 2.19
Maven coordinates: org.apache.camel:camel-zookeeper-master
Syntax:
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave mode |
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder zookeeperMaster(String path)
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave modeApache Camel